# -*- coding: utf-8 -*-

import xbmc
import requests

from bs4 import BeautifulSoup
from resources.lib.modules import control
from resources.lib.clean import setView
from resources.lib.clean import openn
from resources.lib.clean import addon
from resources.lib import pyxbmct

pyxbmct.skin.estuary = False


def getell(url):
    r = requests.get(url)
    soup = BeautifulSoup(r.text, "html.parser")
    for a in soup.find_all('p', style="text-align: center;"):
        for i in a.find_all('a'):
            url = i['href']
            if 'htt' not in url:
                url = 'http:' + url
            name = i.text.encode('utf-8')
            name = name.strip()
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]'
                         % name, url, 37,
                         'https://i2.wp.com/www.greektvseries.com/wp-content/uploads/2017/03/ou.jpg?resize=1024%2C1024', addon.art, '')


def getell2(url):
    r = requests.get(url)
    soup = BeautifulSoup(r.text, "html.parser")
    for a in soup.find_all('div', id="content"):
        for i in a.find_all('b'):  # [-1:]:
            desc = i.next.next.encode('utf-8')
            t = '***Περίληψη***'
        icon = a.find_all('img')[0].get('src')
        if 'htt' not in icon:
            icon = 'https:' + icon
        for u in a.findAll('a', href=True):
            url = u['href']
            if any(x in url for x in ['retrodb', 'greektvseries', 'channel']):
                continue
            name2 = u.text.encode('utf-8')
            if 'Playlist' in name2:
                continue
            c = 'Επεισόδιο...'
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]''[B][COLOR white]%s[/COLOR][/B]'
                         % (c, name2), url, 200, icon, addon.art, '[B][COLOR green]%s[/COLOR][/B]''\n%s' % (t, desc))
            setView.setView('movies', 'movie-view')
    if control.setting('windows') == 'true':
        class MyWindow(pyxbmct.AddonDialogWindow):

            def __init__(self, title=''):
                super(MyWindow, self).__init__(title)
                self.setGeometry(700, 500, 5, 2)
                self.set_controls()
                self.connect(pyxbmct.ACTION_NAV_BACK, self.close)

            def set_controls(self):
                image = pyxbmct.Image(icon)
                self.placeControl(image, 0, 0, 4, 1)
                self.textbox = pyxbmct.TextBox()
                self.placeControl(self.textbox, 0, 1, 4, 1)
                self.textbox.setText('[B][COLOR green]%s[/COLOR][/B]''\n''%s' % (t, desc))
                self.textbox.autoScroll(5000, 5000, 5000)
                self.close_button = pyxbmct.Button('[B][COLOR white]Κλείσε για Επεισόδια[/COLOR][/B]''\n''(Return σε Android)')
                self.placeControl(self.close_button, 4, 0)
                self.connect(self.close_button, self.close)

            def setAnimation(self, control):
                control.setAnimations([('WindowOpen', 'effect=fade start=0 end=100 time=500',),
                                       ('WindowClose', 'effect=fade start=100 end=0 time=500',)])

        window = MyWindow('Επεισόδια...''[B][COLOR white]%s[/COLOR][/B]' % (name2))
        window.doModal()
        del window
        setView.setView('movies', 'movie-view')


def getell3(url):
    r = requests.get(url)
    soup = BeautifulSoup(r.text, "html.parser")
    for a in soup.find_all('p', style="text-align: center;"):
        for i in a.find_all('a'):
            url = i['href']
            if 'http:' not in url:
                url = 'https:' + url
            name = i.text.encode('utf-8')
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]'
                         % name, url, 41,
                         'https://i0.wp.com/www.greektvseries.com/wp-content/uploads/2017/03/720_9b792c5b5101c4681015e1de3f7ad006.jpg?resize=1024%2C1024', addon.art, '')


def getell4(url):
    r = requests.get(url)
    soup = BeautifulSoup(r.text, "html.parser")
    items = soup.find_all('div', id="content")
    for i in items:
        icon = i.find_all('img')[0].get('src')
        if 'htt' not in icon:
            icon = 'https:' + icon
    desc = i.find_all('p')[-2].text.encode('utf-8')
    div = i.select('b')[1]
    for e in div:
        etos = e.next.encode('utf-8')
    div1 = i.select('b')[0]
    for n in div1:
        name = n.next.encode('utf-8')
        name = name.split('(')[0].split('a.k.a')[0].strip()
    for u in i.find_all(class_='external'):
        url = u['href']
        if 'streamcloud' in url or 'openload' in url:
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]' '[B][COLOR orange]%s[/COLOR][/B]'
                         % (name, etos), url, 200, icon, addon.art, desc)
            setView.setView('movies', 'movie-view')
    if control.setting('windows') == 'true':
        class MyWindow(pyxbmct.AddonDialogWindow):

            def __init__(self, title=''):
                super(MyWindow, self).__init__(title)
                self.setGeometry(700, 500, 5, 2)
                self.set_controls()
                self.connect(pyxbmct.ACTION_NAV_BACK, self.close)

            def set_controls(self):
                image = pyxbmct.Image(icon)
                self.placeControl(image, 0, 0, 4, 1)
                self.textbox = pyxbmct.TextBox()
                self.placeControl(self.textbox, 0, 1, 4, 1)
                self.textbox.setText(desc)
                self.textbox.autoScroll(4000, 4000, 5000)
                self.close_button = pyxbmct.Button('[B][COLOR white]Κλείσε για link[/COLOR][/B]''\n''(Return σε Android)')
                self.placeControl(self.close_button, 4, 0)
                self.connect(self.close_button, self.close)

            def setAnimation(self, control):
                control.setAnimations([('WindowOpen', 'effect=fade start=0 end=100 time=500',),
                                       ('WindowClose', 'effect=fade start=100 end=0 time=500',)])

        window = MyWindow('[B][COLOR white]%s[/COLOR][/B]' '[B][COLOR orange]%s[/COLOR][/B]' % (name, etos))
        window.doModal()
        del window


def katigoriaell(url):  # Seires
    r = requests.get(url)
    soup = BeautifulSoup(r.text, "html.parser")
    div = soup.find('div', id='Αλφαβητικά')
    xbmc.log('@#@DIV:%s' % div, xbmc.LOGNOTICE)
    for a in div.find_all('a'):
        name = a.text.encode('utf-8')
        url = a["href"]
        if '#Αλφαβητικά' in url:
            continue
        if 'htt' not in url:
            url = 'https:' + url
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 36,
                         'https://i2.wp.com/www.greektvseries.com/wp-content/uploads/2017/03/ou.jpg?resize=1024%2C1024', addon.art, '')


def katigoriaell2(url):  # tainies
    r = requests.get(url)
    soup = BeautifulSoup(r.text, "html.parser")
    div = soup.find('div', id='Αλφαβητικά-Ταινιες')
    for a in div.find_all('a'):
        name = a.text.encode('utf-8')
        url = a["href"]
        if 'Αλφαβητικά-Ταινιες' in url:
            continue
        if 'htt:' not in url:
            url = 'https:' + url
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 40,
                     'https://i0.wp.com/www.greektvseries.com/wp-content/uploads/2017/03/720_9b792c5b5101c4681015e1de3f7ad006.jpg?resize=1024%2C1024', addon.art, '')


def katigoriaell3(url):  # xronologia
    r = requests.get(url)
    soup = BeautifulSoup(r.text, "html.parser")
    div = soup.find('div', id='Χρονολογικά-Ταινιες')
    for a in div.find_all('a'):
        name = a.text.encode('utf-8')
        url = a["href"]
        if '#Χρονολογικά-Ταινιες' in url:
            continue
        if 'https:' not in url:
            url = 'https:' + url
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 40,
                         'https://i0.wp.com/www.greektvseries.com/wp-content/uploads/2017/03/720_9b792c5b5101c4681015e1de3f7ad006.jpg?resize=1024%2C1024', addon.art, '')


def katigoriaell4(url):  # filmogriafies
    r = requests.get(url)
    soup = BeautifulSoup(r.text, "html.parser")
    div = soup.find('div', id='Φιλμογραφίες')
    for a in div.find_all('a'):
        name = a.text.encode('utf-8')
        if 'Φιλμογραφίες' in name:
            continue
        url = a["href"]
        if '#Φιλμογραφίες' in url:
            continue
        if 'https:' not in url:
            url = 'https:' + url
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 89,
                     'https://i0.wp.com/www.greektvseries.com/wp-content/uploads/2017/03/720_9b792c5b5101c4681015e1de3f7ad006.jpg?resize=1024%2C1024', addon.art, '')


def katigoriaell5(url):
    r = requests.get(url)
    soup = BeautifulSoup(r.text, "html.parser")
    items = soup.find_all('div', id="content")
    for i in items:
        desc = i.text.encode('utf-8')
        desc = desc.split('Φιλμογραφία')[0]
        icon = i.find_all('img')[0].get('src')
        if 'htt' not in icon:
            icon = 'https:' + icon
    urls = i.find_all('p', style="text-align: center;")[-1]
    urls = urls.find_all('a')
    for u in urls:
        url = u['href']
        if 'htt' not in url:
            url = 'http:' + url
        name = u.text.encode('utf-8')
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 41, icon, addon.art, desc)
        setView.setView('movies', 'movie-view')


def getellnew(url):  # nees seires
    r = requests.get(url)
    soup = BeautifulSoup(r.text, "html.parser")
    div = soup.find('div', id='Νέες-Σειρές')
    for a in div.find_all('a'):
        name = a.text.encode('utf-8')
        url = a["href"]
        if '#Νέες-Σειρές' in url:
            continue
        if 'htt' not in url:
            url = 'https:' + url
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 37,
                     'https://i2.wp.com/www.greektvseries.com/wp-content/uploads/2017/03/ou.jpg?resize=1024%2C1024', addon.art, '')


def Search4():
    keyb = xbmc.Keyboard('', 'Search')
    keyb.doModal()
    if (keyb.isConfirmed()):
        search = keyb.getText().replace(' ', '+')
        url = 'https://www.greektvseries.com/' + search
        getell3(url)
    else:
        return


def Search5():
    keyb = xbmc.Keyboard('', 'Search')
    keyb.doModal()
    if (keyb.isConfirmed()):
        search = keyb.getText().replace(' ', '+')
        url = 'https://www.greektvseries.com/ταινιες-' + search
        getell(url)
    else:
        return
