# -*- coding: utf-8 -*-
import urllib, re, xbmcplugin, xbmcgui, sys, xbmc, xbmcaddon
import resolveurl
import requests

from bs4 import BeautifulSoup
from resources.lib.modules import control
from resources.lib.modules import client
from resources.lib.get import youtube
from resources.lib.get import ell
from resources.lib.get import series
from resources.lib.get import movies
from resources.lib.get import kids
from resources.lib.get import old
from resources.lib.get import doc
from resources.lib.get import hermes
from resources.lib.get import fishing
from resources.lib.get import webcam
from resources.lib.get import greektube
from resources.lib.get import cypros
from resources.lib.get import spor
from resources.lib.get import radio
from resources.lib.get import wmn
from resources.lib.get import grtube
from resources.lib.clean import openn
from resources.lib.clean import addon
from resources.lib.clean import tool
from resources.lib.clean import pair
from resources.lib import pyxbmct

pyxbmct.skin.estuary = False

# reload(sys)
# sys.setdefaultencoding("utf-8")

version_addon = control.addonInfo('version')

def Main_menu():
    openn.addDir('[B][COLORwhite]Version: [COLORlime]{0}[/COLOR][/B]'.format(version_addon), '', '', addon.icon, addon.art, '')
    # if control.setting('changelog') == 'true':
    #     openn.addDir('[B][COLOR yellow]' +addon.Lang(33000).encode('utf-8')+ '[/COLOR][/B]','',500,addon.icon,addon.art,'')
    if control.setting('hermes') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(30003).encode('utf-8')+ '[/COLOR][/B]'
        ,'',420,'https://i.imgur.com/hlZ8sAZ.png',addon.art,'Hermes addon.')
    if control.setting('movies') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32000).encode('utf-8')+ '[/COLOR][/B]'
        ,'',75,'http://i.imgur.com/cTv0fXe.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')
    if control.setting('series') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32001).encode('utf-8')+ '[/COLOR][/B]'
        ,'https://tainies4konline.xyz/tvshows/',800,'http://i.imgur.com/ypLPk5x.png',addon.art,'Ξένες σείρες με υπότιτλους.\nSeries with greek subtitles.')
    if control.setting('greek') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32002).encode('utf-8')+ '[/COLOR][/B]'
        ,'',74,'http://i.imgur.com/QGC87GD.png',addon.art,'Ελληνικές ταινίες & σειρές.\nGreek movies & series.')
    if control.setting('grtralers') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32093).encode('utf-8')+ '[/COLOR][/B]'
        ,'',801,'https://i.imgur.com/CIx5iC8.png',addon.art,'Τρέιλερ με υπότιτλους.\nTrailers with greek subs.')
    if control.setting('greek.drones') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(33001).encode('utf-8')+ '[/COLOR][/B] [B][COLOR lime](Fix)[/COLOR][/B]'
        , 'https://www.greek-drone-tube.eu', 5020, 'https://i.imgur.com/GyQ7osl.png', addon.art, 'Ελληνικά drones.\nGreek drones.')
    if control.setting('documentary') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32003).encode('utf-8')+ '[/COLOR][/B]'
        ,'',76,'http://i.imgur.com/jTaJF0B.png',addon.art,'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    if control.setting('old.series') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32004).encode('utf-8')+ '[/COLOR][/B] [B][COLOR lime](Fix)[/COLOR][/B]'
        ,'',72,'http://i.imgur.com/Jhjod4P.png',addon.art,'Παλιές σειρές & Παιδικά.\nOld series & kids.')
    if control.setting('playground') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32005).encode('utf-8')+ '[/COLOR][/B]'
        ,'',77,'http://i.imgur.com/T8NlaOf.png',addon.art,'Παιδικές ταινίες μεταγλωτισμένες & με υπότιτλους & άλλα διάφορα.\nChildren movies dubbed & subtitled & more.')
    if control.setting('videos.gr.cy') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(33004).encode('utf-8')+ '[/COLOR][/B]'
        ,'',18,'https://i.imgur.com/MAE7an4.png',addon.art,'Ελλάδα & Κύπρος.\nGreece & Cyprus.')
    if control.setting('sports.tv') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32098).encode('utf-8')+ '[/COLOR][/B]'
        ,'http://la8osapofash.com',806,'https://i.imgur.com/0Exal6r.png',addon.art,'Αγώνες σε επανάληψη.\nReplays full match.')
    if control.setting('teams.tv') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32006).encode('utf-8')+ '[/COLOR][/B]'
        ,'',601,'http://i.imgur.com/edOpGQt.png',addon.art,'Νέα από τις ομάδες από youtube.\nNews from the greek teams from youtube.')
    if control.setting('top.10') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(33002).encode('utf-8')+ '[/COLOR][/B]'
        ,'',604,'https://i.imgur.com/bW1DOVf.png',addon.art,'Κορυφαία 10.\nTop 10.')
    if control.setting('general.videos') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32007).encode('utf-8')+ '[/COLOR][/B]'
        ,'',79,'http://i.imgur.com/vFEDZB2.png',addon.art,'Διάφορα βίντεο από youtube.\nVarious videos from YouTube')
    if control.setting('fishing.tube') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32094).encode('utf-8')+ '[/COLOR][/B]'
        ,'',456,'https://i.imgur.com/9SvI277.png',addon.art,'Κανάλι ψαρέματος.\nFishing.')
    if control.setting('webcam.gr') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32095).encode('utf-8')+ '[/COLOR][/B]'
        ,'',610,'https://i.imgur.com/9wH7kFE.png',addon.art,'Ελληνικές κάμερες.\nGreek Webcam.')
    if control.setting('woman') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(33003).encode('utf-8')+ '[/COLOR][/B]'
        ,'',5000, 'https://i.imgur.com/gUiwkjC.png', addon.art,'βίντεο για γυναίκες.\nVideo for womans.')
    if control.setting('cyprus.tv') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32097).encode('utf-8')+ '[/COLOR][/B]'
        ,'',461,'https://i.imgur.com/0DP0AWK.png',addon.art,'Κυπριακή τηλεόραση.\nCyprus TV.')
    if control.setting('radio.gr') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32096).encode('utf-8')+ '[/COLOR][/B]'
        ,'',4000,'https://i.imgur.com/qNaz8Ig.png',addon.art,'Ελληνικό ράδιο.\nGreek radio.')
    if control.setting('music') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(32008).encode('utf-8')+ '[/COLOR][/B]'
        ,'',73,'http://i.imgur.com/PYWFxS3.png',addon.art,'Μουσική από youtube.\nMusic from youtube.')
    if control.setting('maintenance') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(33028).encode('utf-8')+ '[/COLOR][/B]'
        ,'',557,'https://i.imgur.com/2cPUPkf.png',addon.art,'clean')
    if control.setting('settings') == 'true':
        openn.addDir('[B][COLOR white]' +addon.Lang(33029).encode('utf-8')+ '[/COLOR][/B]'
        , '', 7, 'https://i.imgur.com/2cPUPkf.png', addon.art,'settings')

    # icon = xbmc.translatePath(os.path.join('special://home/addons/plugin.video.atlas','icon.png'))
    # xbmcgui.Dialog().notification('Ευχαριστούμε που επιλέξατε','Το Ελληνικό Ατλας!!!',icon,5000,False)

def MOVIES():
    openn.addDir('[B][COLOR white]' +addon.Lang(32012).encode('utf-8')+ ' [/COLOR][COLOR green]Tainies4k[/COLOR][/B]','https://tenies-online.gr/movies/',70,'https://tainies4konline.xyz/wp-content/uploads/2017/01/logo1.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32013).encode('utf-8')+ ' [/COLOR][COLOR green]Tainies4k[/COLOR][/B]','https://tenies-online.gr/movies/',78,'https://tainies4konline.xyz/wp-content/uploads/2017/01/logo1.png',addon.art,'Ξένες ταινίες ανα έτος με υπότιτλους.\nMovies per year with subtitles.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32038).encode('utf-8')+ ' [/COLOR][COLOR green]Tainies4k[/COLOR][/B]','https://tenies-online.gr/movies/',13,'https://tainies4konline.xyz/wp-content/uploads/2017/01/logo1.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')
    openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ ' Tainies4k[/COLOR][/B]','https://tainies4konline.xyz/',96,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'[B][COLOR green]Αναζήτηση[/COLOR][/B]')
    openn.addDir('[B][COLOR white]' +addon.Lang(32012).encode('utf-8')+ ' [/COLOR][COLOR green]Gamato.tv[/COLOR][/B]','',25,'https://techblog.gr/wp-content/uploads/2010/03/gamato.jpg',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32038).encode('utf-8')+ ' [/COLOR][COLOR green]Gamato.tv[/COLOR][/B]','https://gamatotv1.com/category/new/movies',26,'https://techblog.gr/wp-content/uploads/2010/03/gamato.jpg',addon.art,'Ξενες ταινιες με υποτιτλους.')
    openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ ' Gamato.Tv[/COLOR][/B]','http://gamatotv.co/',97,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32012).encode('utf-8')+ ' [/COLOR][COLOR green]Peirates[/COLOR][/B]','https://oipeirates.tv/',103,'https://oipeirates.tv/wp-content/uploads/images/logo.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32038).encode('utf-8')+ ' [/COLOR][COLOR green]Peirates[/COLOR][/B]','https://oipeirates.tv/genre/tainiesonline/2019',44,'https://oipeirates.tv/wp-content/uploads/images/logo.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')
    openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ ' Peirates[/COLOR][/B]','https://oipeirates.tv/',99,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32012).encode('utf-8')+ ' [/COLOR][COLOR green]Xrusoi[/COLOR][/B]','https://xrysoi.net/',164,'https://xrysoi.net/wp-content/uploads/2015/03/logo-GM.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32092).encode('utf-8')+ ' [/COLOR][COLOR green]Xrusoi[/COLOR][/B]','https://xrysoi.net/category/tainiesonline/2019/',313,'https://images.vexels.com/media/users/3/128466/isolated/preview/f73073b2833de121056fabab1003913f-promotional-flipped-sale-sticker-by-vexels.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')
    openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ ' Xrysoi[/COLOR][/B]','https://xrysoi.net/',165,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32012).encode('utf-8')+ ' [/COLOR][COLOR green]Tainies&seires[/COLOR][/B]','',2000,'http://www.tainieskaiseires.tv/wp-content/uploads/2017/01/Logo-002.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32038).encode('utf-8')+ ' [/COLOR][COLOR green]Tainies&seires[/COLOR][/B]','http://www.tainieskaiseires.tv/category/foreign-movies/',2003,'http://www.tainieskaiseires.tv/wp-content/uploads/2017/01/Logo-002.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')
    openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ ' Tainies&seires[/COLOR][/B]','https://tainies4konline.xyz/',2005,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'[B][COLOR green]Αναζήτηση[/COLOR][/B]')
    #openn.addDir('[B][COLOR white]hd quality[/COLOR][/B]','https://tainies4konline.xyz/quality/high/',13,'http://www.videoconverterfactory.com/glossary/imgs/h263.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.') #δεν υπαρχουν ποιοτητες πλεον
    #openn.addDir('[B][COLOR white]720p quality[/COLOR][/B]','https://tainies4konline.xyz/quality/medium/',13,'http://www.webcam-for-mac.com/hi-def-web-cams.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')
    #openn.addDir('[B][COLOR white]sd quality[/COLOR][/B]','https://tainies4konline.xyz/quality/low/',13,'https://cdn2.iconfinder.com/data/icons/video-quality-2/64/Video_Quality_Cinema_LQ-512.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')
    openn.addDir('[B][COLOR white]Pairing [/COLOR][/B]', '', 808, 'https://i.imgur.com/EFOFsna.png', addon.art, 'pair')
    #openn.addDir('[B][COLOR white]test[/COLOR][/B]','',5000,'https://cdn2.iconfinder.com/data/icons/video-quality-2/64/Video_Quality_Cinema_LQ-512.png',addon.art,'Ξένες ταινίες με υπότιτλους.\nMovies with greek subtitles.')

def SERIES():
    openn.addDir('[B][COLOR white]' +addon.Lang(32013).encode('utf-8')+ ' [/COLOR][COLOR green]Tainies4k[/COLOR][/B]','https://tainies4konline.xyz/tvshows/',501,'https://tainies4konline.xyz/wp-content/uploads/2017/01/logo1.png',addon.art,'Ξένες σείρες με υπότιτλους.\nSeries with greek subtitles.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32001).encode('utf-8')+ ' [/COLOR][COLOR green]Tainies4k[/COLOR][/B]','https://tainies4konline.xyz/tvshows/',24,'https://tainies4konline.xyz/wp-content/uploads/2017/01/logo1.png',addon.art,'Ξένες σείρες με υπότιτλους.\nSeries with greek subtitles.')
    openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ ' Tainies4k[/COLOR][/B]','',92,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'[B][COLOR green]Αναζήτηση[/COLOR][/B]')
    openn.addDir('[B][COLOR white]' +addon.Lang(32001).encode('utf-8')+ ' [/COLOR][COLOR green]Gamato.Tv[/COLOR][/B]','http://gamatotv.co/groups/group/listByLocation?location=Gamato+TV&sort=mostRecent&xg_source=shorten_status',502,'https://techblog.gr/wp-content/uploads/2010/03/gamato.jpg',addon.art,'Ξένες σείρες με υπότιτλους.\nSeries with greek subtitles.')
    openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ ' Gamato.Tv[/COLOR][/B]','',504,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'[B][COLOR green]Αναζήτηση[/COLOR][/B]')
    openn.addDir('[B][COLOR white]' +addon.Lang(32001).encode('utf-8')+ '[/COLOR][COLOR green] Xrysoi[/COLOR][/B]','https://xrysoi.net/category/%CE%BE%CE%AD%CE%BD%CE%B5%CF%82-%CF%83%CE%B5%CE%B9%CF%81%CE%AD%CF%82/',416,'https://xrysoi.net/wp-content/uploads/2015/03/logo-GM.png',addon.art,'Ξένες σείρες με υπότιτλους.\nSeries with greek subtitles.')
    openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ ' Xrysoi[/COLOR][/B]','https://oipeirates.tv/',319,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'[B][COLOR green]Αναζήτηση[/COLOR][/B]')
    openn.addDir('[B][COLOR white]' +addon.Lang(32001).encode('utf-8')+ '[/COLOR][COLOR green] Peirates[/COLOR][/B]','https://oipeirates.tv/genre/seires',55,'https://oipeirates.tv/wp-content/uploads/images/logo.png',addon.art,'Ξένες σείρες με υπότιτλους.\nSeries with greek subtitles.')
    openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ ' Peirates[/COLOR][/B]','https://oipeirates.tv/',93,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'[B][COLOR green]Αναζήτηση[/COLOR][/B]')
    openn.addDir('[B][COLOR white]Pairing [/COLOR][/B]', '', 808, 'https://i.imgur.com/EFOFsna.png', addon.art, 'pair')


def GREEK():
    openn.addDir('[B][COLOR white]' +addon.Lang(32099).encode('utf-8')+ '[/COLOR][/B]','http://www.greektvseries.com/',42,'https://i2.wp.com/www.greektvseries.com/wp-content/uploads/2017/03/ou.jpg?resize=1024%2C1024',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32041).encode('utf-8')+ '[/COLOR][/B]','http://www.greektvseries.com/',35,'https://i2.wp.com/www.greektvseries.com/wp-content/uploads/2017/03/ou.jpg?resize=1024%2C1024',addon.art,'')
    #openn.addDir('[B][COLOR red]' +addon.Lang(32010).encode('utf-8')+ '[/COLOR][/B]','', 38,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'Αναζτητηση για σειρες(ΟΧΙ ΤΑΙΝΙΑΣ...!ΣΗΜΑΝΤΙΚΟ...!)')
    openn.addDir('[B][COLOR white]' +addon.Lang(32042).encode('utf-8')+ '[/COLOR][/B]','http://www.greektvseries.com/',38,'https://i0.wp.com/www.greektvseries.com/wp-content/uploads/2017/03/720_9b792c5b5101c4681015e1de3f7ad006.jpg?resize=1024%2C1024',addon.art,'')
    openn.addDir('[B][COLOR white]' +addon.Lang(32043).encode('utf-8')+ '[/COLOR][/B]','http://www.greektvseries.com/',39,'https://i0.wp.com/www.greektvseries.com/wp-content/uploads/2017/03/720_9b792c5b5101c4681015e1de3f7ad006.jpg?resize=1024%2C1024',addon.art,'')
    #openn.addDir('[B][COLOR red]' +addon.Lang(32011).encode('utf-8')+ '[/COLOR][/B]','http://www.greektvseries.com/',95,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'Αναζτητηση για ταινιες(ΟΧΙ ΣΕΙΡΑΣ...!ΣΗΜΑΝΤΙΚΟ...!)')
    openn.addDir('[B][COLOR white]' +addon.Lang(32044).encode('utf-8')+ '[/COLOR][/B]','http://www.greektvseries.com/',88,'https://i0.wp.com/www.greektvseries.com/wp-content/uploads/2017/03/720_9b792c5b5101c4681015e1de3f7ad006.jpg?resize=1024%2C1024',addon.art,'')
    #openn.addDir('[B][COLOR white]' +addon.Lang(32014).encode('utf-8')+ '[/COLOR][/B]','',34,'http://i.imgur.com/QGC87GD.png',addon.art,'Ελληνικές ταινίες & σειρές.\nGreek movies & series.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32002).encode('utf-8')+ '[/COLOR][COLOR green] Tainies4k[/COLOR][/B]','https://tainies4konline.xyz/category/ellinikes/',13,'https://tainies4konline.xyz/wp-content/uploads/2017/01/logo1.png',addon.art,'Ελληνικές ταινίες.\nGreek movies.')
    openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ ' Tainies4k[/COLOR][/B]','https://tainies4konline.xyz/',96,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'[B][COLOR green]Αναζήτηση[/COLOR][/B]')
    openn.addDir('[B][COLOR white]' +addon.Lang(32002).encode('utf-8')+ '[/COLOR][COLOR green] Xrusoi[/COLOR][/B]','https://xrysoi.net/category/ελλ-ταινίες/',313,'https://xrysoi.net/wp-content/uploads/2015/03/logo-GM.png',addon.art,'Ελληνικές ταινίες.\nGreek movies.')
    openn.addDir('[B][COLOR red]' +addon.Lang(32009).encode('utf-8')+ ' Xrysoi[/COLOR][/B]','https://oipeirates.tv/',319,'http://www.freeiconspng.com/uploads/search-icon-png-22.png',addon.art,'[B][COLOR green]Αναζήτηση[/COLOR][/B]')
    openn.addDir('[B][COLOR white]GreekTube[/COLOR][/B]', 'http://www.greektube.eu/index.html', 701, 'http://www.greektube.eu/uploads/custom-logo.png', addon.art, 'Greek tube.')

def DOCU():
    openn.addDir('[B][COLOR white]' +addon.Lang(32015).encode('utf-8')+ '[/COLOR][/B]''[B][COLOR green] Ntokimanter.gr[/COLOR][/B]','https://ntokimanter.gr',61,'http://ntokimanter.gr/wp-content/uploads/2016/04/ntokimanter_logo.png',addon.art,'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32015).encode('utf-8')+ '[/COLOR][/B]''[B][COLOR green] Cosmos[/COLOR][/B]','http://greekdocumentaries2.blogspot.gr/',1006,'http://1.bp.blogspot.com/-pqYicK1yOeo/WCSgvtzA6HI/AAAAAAAAAz0/RS0dMmL_SrwaLKus4SdVrirhtHQ2cscHQCK4B/s1600/22221.png',addon.art,'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Αρχαίοι Πολιτισμοί[/COLOR][/B]','http://greekdocumentaries2.blogspot.gr/',62,'http://1.bp.blogspot.com/-pqYicK1yOeo/WCSgvtzA6HI/AAAAAAAAAz0/RS0dMmL_SrwaLKus4SdVrirhtHQ2cscHQCK4B/s1600/22221.png',addon.art,'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Επιστήμη[/COLOR][/B]','http://greekdocumentaries2.blogspot.gr/',63,'http://1.bp.blogspot.com/-pqYicK1yOeo/WCSgvtzA6HI/AAAAAAAAAz0/RS0dMmL_SrwaLKus4SdVrirhtHQ2cscHQCK4B/s1600/22221.png',addon.art,'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Ιστορία[/COLOR][/B]','http://greekdocumentaries2.blogspot.gr/',64,'http://1.bp.blogspot.com/-pqYicK1yOeo/WCSgvtzA6HI/AAAAAAAAAz0/RS0dMmL_SrwaLKus4SdVrirhtHQ2cscHQCK4B/s1600/22221.png',addon.art,'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Bbc[/COLOR][/B]','http://greekdocumentaries2.blogspot.gr/search/label/BBC',1004,'http://jackdoggsblogs.weebly.com/uploads/6/1/0/5/61059575/bbc-documentaries.jpg',addon.art,'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]National Geographic[/COLOR][/B]','http://greekdocumentaries2.blogspot.gr/search/label/National%20Geographic',1004,'http://charliebyrne.com/wp-content/uploads/2014/10/National-Geographic.jpg',addon.art,'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Discovery[/COLOR][/B]','http://greekdocumentaries2.blogspot.gr/search/label/Discovery',1004,'https://vignette.wikia.nocookie.net/logopedia/images/8/8f/Discovery_Channel_2016-0.png',addon.art,'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]History Channel[/COLOR][/B]','http://greekdocumentaries2.blogspot.gr/search/label/History%20Channel',1004,'https://vignette.wikia.nocookie.net/indianajones/images/e/e3/History_channel_logo.png',addon.art,'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Imax[/COLOR][/B]','http://greekdocumentaries2.blogspot.gr/search/label/IMAX',1004,'https://crunchbase-production-res.cloudinary.com/image/upload/c_lpad,h_256,w_256,f_auto,q_auto:eco/v1445849929/dh1vu2msufz2yhluwxqn.jpg',addon.art,'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32003).encode('utf-8')+ '[/COLOR][/B]','',600,'http://i.imgur.com/jTaJF0B.png',addon.art,'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')

def KIDS():
    openn.addDir('[B][COLOR white]Yousmile.gr[/COLOR][/B]','',1000,'http://www.yousmile.gr/sites/default/files/logo_0.png',addon.art,'')
    if control.setting('windows') == 'true':
        class MyWindow(pyxbmct.AddonDialogWindow):

            def __init__(self, title=''):
                super(MyWindow, self).__init__(title)
                self.setGeometry(700, 500, 5, 2)
                self.set_controls()
                self.connect(pyxbmct.ACTION_NAV_BACK, self.close)

            def set_controls(self):
                image = pyxbmct.Image('http://www.yousmile.gr/sites/all/themes/yousmile/images/contact_block.png')
                self.placeControl(image, 0, 0, 4, 1)
                self.textbox = pyxbmct.TextBox()
                self.placeControl(self.textbox, 0, 1, 4, 1)
                self.textbox.setText('[B][COLOR yellow]«ΤΙ ΚΑΝΩ ΤΩΡΑ;;;»«ΣΕ ΠΟΙΟΝ ΜΠΟΡΩ ΝΑ ΜΙΛΗΣΩ;;;»«ΠΟΙΟΣ ΘΕΛΕΙ ΝΑ ΜΕ ΑΚΟΥΣΕΙ;;;»[/COLOR][/B],\n''Εθνική Τηλεφωνική Γραμμή για τα Παιδιά SOS 1056.'
                    'Μια Γραμμή που γίνεται… σύνθημα βοήθειας. Μια Γραμμή που μπορείς…να καλέσεις όλο το 24ωρο, 365 ημέρες το χρόνο,'
                    ' είναι δωρεάν και δε χρειάζεται να μας πεις το όνομα σου.Θα ακούσουμε τις ανησυχίες αλλά και τα προβλήματα σου,'
                    ' μαζί θα βρούμε τις επιλογές και τις λύσεις που έχεις ενώ σε περίπτωση που κινδυνεύεις ή καταπατάται κάποιο από τα δικαιώματα σου,'
                    ' θα σου δώσουμε την βοήθεια που πρέπει. Θα σε ακούσουμε επίσης και για το πρόβλημα του φίλου σου.'
                    'Δεν θα πούμε σε κανένα ότι κάλεσες ούτε μπορούμε να εντοπίσουμε από πού μας κάλεσες ή μας έστειλες το e-mail.'
                    'Μπορείς να επικοινωνήσεις μαζί μας για οτιδήποτε σε απασχολεί και με οποιονδήποτε τρόπο επιθυμείς.'
                    'Είμαστε εδώ για σέναΠερισσότερα για την Εθνική Τηλεφωνική Γραμμή για τα Παιδιά SOS 1056')
                self.textbox.autoScroll(5000, 5000, 5000)
                self.fade_label = pyxbmct.FadeLabel()
                self.placeControl(self.fade_label, 4, 1)
                self.fade_label.addLabel('[B][COLOR yellow]https://www.hamogelo.gr''\n''e-mail:sos1056@hamogelo.gr''\n' 'Γραμμή για τα Παιδιά SOS 1056[/COLOR][/B]')
                self.close_button = pyxbmct.Button('[B][COLOR white]Κλείσε για Παιδικά[/COLOR][/B]''\n''(Return σε Android)')
                self.placeControl(self.close_button, 4, 0)
                self.connect(self.close_button, self.close)

            def setAnimation(self, control):
                control.setAnimations([('WindowOpen', 'effect=fade start=0 end=100 time=500',),
                                    ('WindowClose', 'effect=fade start=100 end=0 time=500',)])


        window = MyWindow('ΤΟ ΧΑΜΟΓΕΛΟ ΤΟΥ ΠΑΙΔΙΟΥ')
        window.doModal()
        del window

    # openn.addDir('[B][COLOR white]' +addon.Lang(32012).encode('utf-8')+ '[/COLOR][/B]''[B][COLOR green] Paidikestainies.online[/COLOR][/B]','',28,'http://paidikestainies.online/wp-content/uploads/2017/01/paidikestainies.logo_.png',addon.art,'Παιδικές ταινίες μεταγλωτισμνένες & με υπότιτλους.\nChildren movies dubbed & subtitled.')
    # openn.addDir('[B][COLOR white]' +addon.Lang(32017).encode('utf-8')+ '[/COLOR][/B]','http://gamatotv.co/groups/group/listByLocation?location=%CE%A0%CE%B1%CE%B9%CE%B4%CE%B9%CE%BA%CE%AC&sort=mostRecent',26,'https://brisfekusis.files.wordpress.com/2010/06/tracker-gamato-me.jpg',addon.art,'Παιδικές ταινίες μεταγλωτισμνένες & με υπότιτλους & άλλα.\nChildren movies dubbed & subtitled & more.')
    # openn.addDir('[B][COLOR white]' +addon.Lang(32017).encode('utf-8')+ '[/COLOR][COLOR green]gamatotv[/COLOR][/B]','https://gamatotv1.com/groups/group/',105,'https://techblog.gr/wp-content/uploads/2010/03/gamato.jpg',addon.art,'Παιδικές ταινίες μεταγλωτισμνένες & με υπότιτλους.\nChildren movies dubbed & subtitled.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32017).encode('utf-8')+ '[/COLOR][COLOR green]peirates[/COLOR][/B]','https://oipeirates.tv/',104,'https://oipeirates.tv/wp-content/uploads/images/logo.png',addon.art,'Παιδικές ταινίες μεταγλωτισμνένες & με υπότιτλους.\nChildren movies dubbed & subtitled.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32021).encode('utf-8')+ '[/COLOR][/B]','https://oipeirates.tv/genre/kin-sxedia',9,'https://oipeirates.tv/wp-content/uploads/images/logo.png',addon.art,'Παιδικές ταινίες μεταγλωτισμνένες & με υπότιτλους & άλλα.\nChildren movies dubbed & subtitled & more.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32017).encode('utf-8')+ '[/COLOR][/B]','https://oipeirates.tv/genre/kin-sxedia',9,'https://oipeirates.tv/wp-content/uploads/images/logo.png',addon.art,'Παιδικές ταινίες μεταγλωτισμνένες & με υπότιτλους & άλλα.\nChildren movies dubbed & subtitled & more.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32019).encode('utf-8')+ '[/COLOR][/B]','',71,'http://i.imgur.com/6bEuWDo.png',addon.art,'Παιδικές ταινίες μεταγλωτισμνένες & με υπότιτλους & άλλα.\nChildren movies dubbed & subtitled & more.')
    openn.addDir('[B][COLOR white]' +addon.Lang(32020).encode('utf-8')+ '[/COLOR][/B]','',603,'http://i.imgur.com/6bEuWDo.png',addon.art,'Παιδικά κανάλια youtube.\nChildren youtube channels.')
    openn.addDir('[B][COLOR white]Anime[/COLOR][/B]','http://asian-anime.to/anime/genre',2011,'http://asian-anime.to/anime/wp-content/uploads/2017/09/random_anime_icon_2_by_kittycatqueen-d83xb49.png',addon.art,'Anime ταινίες μεταγλωτισμνένες & με υπότιτλους.\nAnime movies dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Pairing [/COLOR][/B]', '', 808, 'https://i.imgur.com/EFOFsna.png', addon.art, 'pair')


def DIAFORA():
    openn.addDir('[B][COLOR white]' +addon.Lang(32007).encode('utf-8')+ '[/COLOR][/B]','',87,'http://i.imgur.com/vFEDZB2.png',addon.art,'Διάφορα βίντεο από youtube.\nVarious videos from YouTube')
    openn.addDir('[B][COLOR white]' +addon.Lang(32007).encode('utf-8')+ ' Official[/COLOR][/B]','',602,'http://i.imgur.com/vFEDZB2.png',addon.art,'Διάφορα βίντεο από youtube.\nVarious videos from YouTube.')

def CYPROS():
    openn.addLink('[B][COLOR white]ALFASPORTSTV[/COLOR][/B]''[B][COLOR green] LIVE[/COLOR][/B]','http://84.16.240.32/alsports/al24/nimble-absolute-url-chunks.m3u8?nimblesessionid=4018854&nimbleabsoluteurl=2S3AdpOF4ZFISs8aTeJxUfbdPBP0XZojtmdckx4exhD542Tfrq1xetym266rI2HKTzevNIlEsilyNP1pqqPbs0RwdobGTisyBZioeQaB6Ic=&nimbleurlhash=+5Uz+Upf%2FypOpC4hqwTvHA==&nimbleurliv=30M37I0rqF0QXv3SBSlcCw==','','http://alfasports.tv/wp-content/uploads/2017/07/19650478_10213391687526137_730682022_o.png','','LIVE SPORTS')
    openn.addDir('[B][COLOR white]SPORTS[/COLOR][/B]','',459,'http://www.sport24.gr/incoming/article3642556.ece/BINARY/original',addon.art,'Κανάλια από youtube.\nChannels from YouTube.')
    openn.addDir('[B][COLOR white]NEWS[/COLOR][/B]','',460,'http://www.sport24.gr/incoming/article3642556.ece/BINARY/original',addon.art,'Κανάλια από youtube.\nChannels from YouTube.')
    openn.addDir('[B][COLOR white]RADIO[/COLOR][/B]','',462,'http://www.sport24.gr/incoming/article3642556.ece/BINARY/original',addon.art,'Ράδιο.\nRadios.')

#############################################################################################################################################################################################################
def confirm():
    class MyWindow(pyxbmct.AddonDialogWindow):

        def __init__(self, title=''):
            super(MyWindow, self).__init__(title)
            self.setGeometry(800, 500, 5, 2)
            self.set_controls()
            self.connect(pyxbmct.ACTION_NAV_BACK, self.close)

        def set_controls(self):
            self.textbox = pyxbmct.TextBox()
            self.placeControl(self.textbox, 0, 0, 4, 2)
            self.textbox.setText('1:Πρόσθεση / Αφαίρεση κατηγοριών από το αρχικό μενού στις ρυθμίσεις.\n'
                                 '2:Μεταφορά pairing στις ταινίες-σειρές-παιδική χαρά.\n'
                                 '3:Ενεργοποίηση / Απενεργοποίηση παραθύρων στις ρυθμίσεις.\n'
                                 '4:Διόρθωση σε κατηγορία, Γυναίκα-Kitchen Lab')
            self.close_button = pyxbmct.Button('Κλείσε''\n''(Return σε Android)')
            self.placeControl(self.close_button, 4, 0)
            self.connect(self.close_button, self.close)

        def setAnimation(self, control):
            control.setAnimations([('WindowOpen', 'effect=fade start=0 end=100 time=500',),
                                   ('WindowClose', 'effect=fade start=100 end=0 time=500',)])

    window = MyWindow('[B][COLOR white]ATLAS VERSION %s[/COLOR][/B]' % version_addon)
    window.doModal()
    del window

##########################################################################################################################################################
def notification(title, message, ms, nart):
    xbmc.executebuiltin("XBMC.notification(" + title + "," + message + "," + ms + "," + nart + ")")


def doc_susres(name, url, description):
    try:
        r = client.request(url)
        url = re.compile('<iframe.+?src="(.+?)"',re.DOTALL).findall(r)[0]
        name = name.split('[B][COLOR green]')[0]
        if 'openload' in url:
            try:
                from resources.lib.clean import openload
                stream_url = openload.get_video_openload(url)
            except:
                stream_url = resolveurl.resolve(url)

        else:
            stream_url = resolveurl.resolve(url)
        liz = xbmcgui.ListItem(name, iconImage="DefaultVideo.png", thumbnailImage=iconimage)
        liz.setInfo(type="Video", infoLabels={"Title": name, "Plot": description})
        liz.setProperty("IsPlayable","true")
        liz.setPath(str(stream_url))
        xbmcplugin.setResolvedUrl(int(sys.argv[1]), True, liz)
    except BaseException:
        notification('ATLAS','Δεν Υπαρχει','5000', addon.icon)

def PLAY(name,url,description):
    import xbmc
    liz = xbmcgui.ListItem(name, iconImage='DefaultVideo.png', thumbnailImage=iconimage)
    try:
        name = name.split('[B][COLOR green]')[0]
        if 'openload' in url or 'oload' in url:
            try:
                from resources.lib.clean import openload
                stream_url = openload.get_video_openload(url)
            except:
                stream_url = resolveurl.resolve(url)
        elif 'tenies-online' in url:
            data = client.request(url)
            xbmc.log('DATAAA: {}'.format(str(data)))

        elif 'cloud' in url or 'Referer=' in url:
            if '@'in url:
                stream_url, sub = url.split('@')
                liz.setSubtitles([sub])
            else:
                stream_url = url
        else:
            stream_url = resolveurl.resolve(url)

        liz.setInfo(type="Video", infoLabels={"Title": name, "Plot": description})
        liz.setProperty("IsPlayable", "true")
        liz.setPath(stream_url)
        xbmcplugin.setResolvedUrl(int(sys.argv[1]), True, liz)
    except:
        notification('ATLAS','Δεν Υπαρχει','5000', addon.icon)
        return

def yousmile(url):
    try:
        r = requests.get(url)
        soup = BeautifulSoup(r.content, "html.parser")
        for a in soup.findAll(class_="media-youtube-preview-wrapper"):
             url = a.embed['src']
        if 'openload' in url:
            try:
                from resources.lib.clean import openload
                stream_url = openload.get_video_openload(url)
            except:
                stream_url = resolveurl.resolve(url)

        else:
            stream_url = resolveurl.resolve(url)
        liz = xbmcgui.ListItem(name, iconImage="DefaultVideo.png", thumbnailImage=iconimage)
        liz.setInfo(type="Video", infoLabels={ "Title": name, "Plot": description })
        liz.setProperty("IsPlayable","true")
        liz.setPath(str(stream_url))
        xbmcplugin.setResolvedUrl(int(sys.argv[1]), True, liz)
    except:
        notification('ATLAS','Δεν Υπαρχει','5000', addon.icon)

def d_susres(url):
    try:
        p = openn.Open_Url(url)
        url = re.compile('<iframe src="(.+?)"',re.DOTALL).findall(p)[0]
        if 'openload' in url:
            try:
                from resources.lib.clean import openload
                stream_url = openload.get_video_openload(url)
            except:
                stream_url = resolveurl.resolve(url)

        else:
            stream_url = resolveurl.resolve(url)
        liz = xbmcgui.ListItem(name, iconImage="DefaultVideo.png", thumbnailImage=iconimage)
        liz.setInfo(type="Video", infoLabels={ "Title": name, "Plot": description })
        liz.setProperty("IsPlayable","true")
        liz.setPath(str(stream_url))
        xbmcplugin.setResolvedUrl(int(sys.argv[1]), True, liz)
    except:
        notification('ATLAS','Δεν Υπαρχει','5000', addon.icon)


def PLAY2(name,url):
    try:
        r = client.request(url)
        frame = client.parseDOM(r, 'meta', ret='content', attrs={'itemprop': 'embedURL'})[0]
        link = client.request(frame)
        url = client.parseDOM(link, 'iframe', ret='src')
        url = [i for i in url if not 'linkwi' in i][0]
        url = 'https:' + url if url.startswith('//') else url
        if 'youtube' in url:
            stream_url = resolveurl.resolve(url)
        elif 'dailymotion' in url:
            try:
                import json
                ua = client.randomagent()
                headers = {'User-Agent': ua,
                           'Referer': 'https://www.dailymotion.com'}

                data = client.request(url, headers=headers)
                data = re.findall('var\s*config\s*=\s*(\{.+?\})\;', data, re.DOTALL)[0]
                data = json.loads(data)
                data = data['metadata']['qualities']
                links = []
                for i in data:
                    try:
                        link = data[i][1]['url']
                        #link += '|%s' % urllib.urlencode(headers)
                        qual = i
                        links.append((qual, link))
                    except:
                        pass

                links.sort(key=lambda x: x, reverse=True)
                stream_url = links[0][1]
            except:
                stream_url = resolveurl.resolve(url)
        else:
            stream_url = url
        liz = xbmcgui.ListItem(name, iconImage='DefaultVideo.png', thumbnailImage=iconimage)
        liz.setInfo(type="Video", infoLabels={ "Title": name, "Plot": description })
        liz.setProperty("IsPlayable","true")
        liz.setPath(str(stream_url))
        xbmcplugin.setResolvedUrl(int(sys.argv[1]), True, liz)
    except:
        notification('ATLAS','Δεν Υπαρχει','5000', addon.icon)


# def PLAYM3U(url):
#     xbmc.Player().play(url)

def open_settings():
    xbmcaddon.Addon().openSettings()

def get_params():
    param=[]
    paramstring=sys.argv[2]
    if len(paramstring)>=2:
        params=sys.argv[2]
        cleanedparams=params.replace('?','')
        if (params[len(params)-1]=='/'):
            params=params[0:len(params)-2]
        pairsofparams=cleanedparams.split('&')
        param={}
        for i in range(len(pairsofparams)):
            splitparams={}
            splitparams=pairsofparams[i].split('=')
            if (len(splitparams))==2:
                param[splitparams[0]]=splitparams[1]
    return param

params=get_params()
url=None
name=None
iconimage=None
mode=None
fanart=None
description=None


try:
        url=urllib.unquote_plus(params["url"])
except:
        pass
try:
        name=urllib.unquote_plus(params["name"])
except:
        pass
try:
        iconimage=urllib.unquote_plus(params["iconimage"])
except:
        pass
try:
        mode=int(params["mode"])
except:
        pass
try:
        addon.art=urllib.unquote_plus(params["fanart"])
except:
        pass
try:
        description=urllib.unquote_plus(params["description"])
except:
        pass

print str(addon.PATH)+': '+str(addon.VERSION)
print "Mode: "+str(mode)
print "URL: "+str(url)
print "Name: "+str(name)
print "IconImage: "+str(iconimage)

if mode == None: Main_menu()
elif mode==1:youtube.get_content1(url)
elif mode==7:open_settings()
elif mode==8:kids.get_peirates(url)
elif mode==9:kids.peirates(url)
elif mode==10:old.get_old23(url)
elif mode==11:old.get_old11(url)
elif mode==13:movies.t4k_content(url)
elif mode==14:movies.t4k_sources(url, name, iconimage, description)
elif mode==16:youtube.GETSOURCES3(url)
elif mode==17:old.get_old17(url)
elif mode==18:youtube.ggreece(params)
elif mode==19:old.get_old19(url)
elif mode==20:old.get_old20(url)
elif mode==21:old.get_oldvidzi(url)
elif mode==22:old.get_old22(url)
elif mode==23:series.get_surceS(url)
elif mode==24:series.get_contS(url)
elif mode==25:movies.new()
elif mode==26:movies.katigoria(url)
elif mode==27:movies.susres(url)
elif mode==28:kids.pt_menu()
elif mode==29:kids.pt_content(url)
elif mode==30:kids.pt_surces(url)
elif mode==33:kids.pt_year(url)
elif mode==35:ell.katigoriaell(url)
elif mode==36:ell.getell(url)
elif mode==37:ell.getell2(url)
elif mode==38:ell.katigoriaell2(url)
elif mode==39:ell.katigoriaell3(url)
elif mode==40:ell.getell3(url)
elif mode==41:ell.getell4(url)
elif mode==42:ell.getellnew(url)
elif mode==43:movies.get_peiratesS(url)
elif mode==44:movies.peiratesS(url)
elif mode==60:doc.doc_content(url)
elif mode==61:doc.doc_menou()
elif mode==62:doc.cosmos_menu1()
elif mode==63:doc.cosmos_menu2()
elif mode==64:doc.cosmos_menu3()
elif mode==70:movies.t4k_Menu()
elif mode==71:youtube.Kid_menu()
elif mode==72:old.Old_series()
elif mode==73:youtube.Moysik_menou()
elif mode==74:GREEK()
elif mode==75:MOVIES()
elif mode==76:DOCU()
elif mode==77:KIDS()
elif mode==79:DIAFORA()
elif mode==78:movies.t4k_xronia(url)
elif mode==84:kids.pt_contents(url)
elif mode==85:kids.pt_kat(url)
elif mode==86:kids.pt_surcess(url)
elif mode==87:youtube.diafora()
elif mode==88:ell.katigoriaell4(url)
elif mode==89:ell.katigoriaell5(url)
elif mode==96:movies.t4k_Search()
elif mode==97:movies.Search2()
elif mode==98:kids.Search3()
elif mode==95:ell.Search4()
elif mode==94:ell.Search5()
elif mode==92:series.Search6()
elif mode==93:series.Search11()
elif mode==99:movies.Search7()
elif mode==165:movies.Search8()
elif mode==319:series.Search9()
elif mode==200:PLAY(name,url,description)
elif mode==300:doc_susres(name,url,description)
# elif mode==250:PLAYM3U(url)
elif mode==600:youtube.youtube(params)
elif mode==601:youtube.komades(params)
elif mode==602:youtube.kdiafora(params)
elif mode==603:youtube.kids1(params)
elif mode==604:youtube.top10(params)
########################################### #
elif mode==701:greektube.tube_cat(url)      #
elif mode==702:greektube.tube_content(url)  #
elif mode==2007:PLAY2(name,url)             #
########################################### #
elif mode==456:fishing.fishing(url)
elif mode==457:youtube.vh1(url)
elif mode==458:youtube.vevo(url)
elif mode==459:cypros.spor1(url)
elif mode==460:cypros.news1(url)
elif mode==461:CYPROS()
elif mode==462:cypros.radiocy()
elif mode==156:old.get_old11(url)
elif mode==313:movies.xrysoimovies(url)
elif mode==314:movies.get_xrysoimovies(url)
elif mode==419:hermes.hermes(url)
elif mode==420:hermes.hermesM(url)
elif mode==555:tool.katell()
elif mode==556:tool.auto_clean(url)
elif mode==557:tool.clean_menu()
elif mode==560:tool.vodil(url)
elif mode==561:
    if 'Greco' in description:
        typos = 'greco'
    else:
        typos = 'gkn'
    tool.Installxe(typos)
elif mode==808:pair.pair()
elif mode==809:pair.openload()
elif mode==810:pair.alluc()
elif mode==811:pair.videome()
elif mode==812:pair.vidupme()
elif mode==103:movies.Movie_menu3()
elif mode==164:movies.Movie_menu4()
elif mode==104:kids.KIDSANIME_menu()
elif mode==105:kids.KIDSANIME_gamato()
elif mode==202:kids.KIDSANIME()
elif mode==416:series.xrysoiseries(url)
elif mode==55:series.peiratesseries(url)
elif mode==56:series.get_peiratesseries(url)
elif mode==315:series.get_hdvids(url)
elif mode==319:series.Search9()
elif mode==610:webcam.cam()
elif mode==801:youtube.GRtrailers(params)
elif mode==800:SERIES()
elif mode==500:confirm()
elif mode==501:series.get_xroniaS(url)
elif mode==502:series.gamatoseries(url)
elif mode==503:series.gamatoS(url)
elif mode==504:series.Search11()
elif mode==806:spor.get_spor(url)
elif mode==807:spor.get_link(url)
elif mode==814:spor.get_embed(url)
elif mode==1000:kids.yousmile()
elif mode==1001:kids.yousmile1(url)
elif mode==1002:kids.yousmile2(name,url)
elif mode==1003:yousmile(url)
elif mode==1004:doc.cosmos(url)
elif mode==1005:doc.cosmosLink(url)
elif mode==1006:doc.cosmos_menu(url)
elif mode==2000:movies.Movie_menu2(url)
elif mode==2001:movies.taniesKseires(url)
elif mode==2002:movies.k(url)
elif mode==2003:movies.taniesKseires2(url)
elif mode==2004:d_susres(url)
elif mode==2005:movies.Search8()
elif mode==2011:kids.anime_eidos(url)
elif mode==2012:kids.get_anime(url)
elif mode==2013:kids.get_s(url)
elif mode==2014:kids.Search10()
elif mode==4000:radio.radio_Menu()
elif mode==4001:radio.radio_con(url)
elif mode==4002:radio.Search12()
elif mode==5000:wmn.WMN()
elif mode==5001:wmn.gmag(params)
elif mode==5002:wmn.ggim(params)
elif mode==5003:wmn.ppro(params)
elif mode==5004:wmn.mmod(params)
elif mode==5005:wmn.greece(params)
elif mode==5010:wmn.akis_menu()
elif mode==5011:wmn.akis_content(url)
elif mode==5012:wmn.akis_items(url)
elif mode==5013:wmn.akis2_content(url)
elif mode==5014:wmn.akis2_items(url)
elif mode==5020:grtube.gr_dronemenu(url)
elif mode==5021:grtube.gr_drone_content(url)
elif mode == 90001:old.mi(url)
elif mode == 90002:old.mi1(url)
elif mode == 90003: old.season_mi(url)
xbmcplugin.endOfDirectory(int(sys.argv[1]))
