# -*- coding: utf-8 -*-

import re
import urllib

from bs4 import BeautifulSoup

import xbmc
from resources.lib import pyxbmct
from resources.lib.clean import addon
from resources.lib.clean import clean
from resources.lib.clean import openn
from resources.lib.clean import setView
from resources.lib.modules import client, control

import sys
reload(sys)
sys.setdefaultencoding("utf-8")
pyxbmct.skin.estuary = False

providers = ['openload', 'vidto', 'flashx', 'streamango', 'streamin', 'hdvid', 'vidd', 'vidoza', 'videobin',
             'gounlimited', 'vidlox', 'estream', 'streamcloud', 'streamin', 'clipwatching', 'thevideo', 'vidzi']

def t4k_Menu():
    openn.addDir('[B][COLOR white]' + addon.Lang(32022).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/astinomiki/', 13, 'http://i.imgur.com/X7HlC7y.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32023).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/%ce%b2%ce%b9%ce%bf%ce%b3%cf%81%ce%b1%cf%86%ce%af%ce%b1/', 13, 'http://i.imgur.com/oISI2XW.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32024).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/western/', 13, 'http://i.imgur.com/HjAkg1K.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32025).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/drasi/', 13, 'http://i.imgur.com/0hiqxAv.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32026).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/drama/', 13, 'http://i.imgur.com/0eOMDmx.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32027).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/egklima/', 13, 'http://i.imgur.com/X7HlC7y.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32028).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/ep-fantasias/', 13, 'http://i.imgur.com/fdpacDi.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32029).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/thriller/', 13, 'http://i.imgur.com/ngYlXLg.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32030).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/komodia/', 13, 'http://i.imgur.com/EdBxqOi.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32031).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/mistiriou/', 13, 'http://i.imgur.com/kIueNtO.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32032).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/ikogeniaki/', 13, 'http://i.imgur.com/mcZvo7R.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32033).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/polemiki/', 13, 'http://i.imgur.com/OvpHFdT.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32034).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/peripeteia/', 13, 'http://i.imgur.com/4lLOa0L.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32035).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/romantiki/', 13, 'http://i.imgur.com/KtM7LDx.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32036).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/tromou/', 13, 'http://i.imgur.com/BLwEyfJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32037).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr/genre/fantasias/', 13, 'http://i.imgur.com/jTyZIAW.png', addon.art, '')
    openn.addDir('[B][COLOR red]' + addon.Lang(32009).encode('utf-8') + '[/COLOR][/B]', 'https://tenies-online.gr', 96, 'http://www.freeiconspng.com/uploads/search-icon-png-22.png', addon.art, '')


def t4k_xronia(url):
    r = client.request(url)
    r = client.parseDOM(r, 'ul', attrs={'class': 'releases scrolling'})[0]
    r = client.parseDOM(r, 'li')

    for i in r:
        url = client.parseDOM(i, 'a', ret='href')[0]
        name = client.parseDOM(i, 'a')[0]
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 13, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')


def t4k_content(url):
    r = client.request(url)
    data = client.parseDOM(r, 'article', attrs={'id': r'post-\d+', 'class': 'item movies'})
    # xbmc.log('@#@POSTS:%s' % data, xbmc.LOGNOTICE)
    for i in data:
        try:

            url = client.parseDOM(i, 'a', ret='href')[0]
            icon = client.parseDOM(i, 'img', ret='src')[0]
            name = client.parseDOM(i, 'img', ret='alt')[0]
            try:
                year = re.findall(r'<span>(\d{4})</span>', i, re.DOTALL)[0]
            except IndexError:
                year = re.findall(r'\((\d{4})\)', name, re.DOTALL)[0]

            if '/' in name:
                name = str(name).split('/')[1].strip()
            name = re.sub('online ελληνικοί υπότιτλοι', '', name, re.I)
            name = name.split(year)[0][:-1].rstrip()
            name = clean.Clean(name)
            # xbmc.log('@#@name:%s' % name, xbmc.LOGNOTICE)
            name = name + ' |' + '[COLORlime]' + year + '[/COLOR]' + '|'

            desc = client.parseDOM(i, 'div', attrs={'class': 'texto'})[0]
            desc = desc.split('<div')[0]
            desc = client.replaceHTMLCodes(clean.Clean(desc))
            try:
                rat = client.parseDOM(i, 'span', attrs={'class': 'imdb'})[0]
            except IndexError:
                rat = 'N/A'
            rat = 'IMDB: %s' % rat if not 'IMDb:' in rat else rat # rat = rat.replace('<b>', '').split('</b>')[0]
            # # rat2 = client.parseDOM(i, 'span', attrs={'class': 'calidad2'})[0] δεν υπάρχει calidad2 tag πλέον
            # # if 'Προσεχώς' in rat2: continue
            t = '***Περίληψη***'
            desc = '[B][COLOR green]\n%s[/COLOR][/B]''%s' % (t, str(desc))
            openn.addDir('[B][COLOR white]%s[/COLOR][/B] [COLOR white]%s[/COLOR]'
                         % (str(name), str(rat)), url, 14, icon, addon.art, str(desc))
        except:
            pass
    try:
        np = client.parseDOM(r, 'a', ret='href', attrs={'class': 'arrow_pag'})[-1]
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]'
                     , np, 13, 'http://i.imgur.com/rKSs0yq.png', addon.art, '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass
    setView.setView('movies', 'movie-view')


def t4k_sources(url, name, icon, description):
    r = client.request(url)
    data = client.parseDOM(r, 'div', attrs={'id': 'single'})[0]
    try:
        trailer = client.parseDOM(data, 'div', attrs={'id': 'trailer'})[0]
        url = client.parseDOM(trailer, 'iframe', ret='src')[0]
        Trailer = '[B][COLOR lime]Τρέιλερ[/COLOR][/B]'
        openn.addDir(Trailer, url, 200, icon, addon.art, 'Trailer')
    except BaseException:
        pass

    try:
        time = client.parseDOM(data, 'span', attrs={'class': 'runtime'})[0].encode('utf-8')
        time = time.replace('min', 'Λεπτά')
    except IndexError:
        time = '0'
    icon = client.parseDOM(data, 'img', ret='src')[0]
    desc = client.parseDOM(data, 'div', {'itemprop': 'description'})[0]
    desc = client.parseDOM(desc, 'p')[0].encode('utf-8')
    desc = str(desc)
    links = client.parseDOM(data, 'div', attrs={'class': 'box_links'})[0]
    # data2 = client.parseDOM(i, 'li', attrs={'class': 'elemento'})
    links = client.parseDOM(links, 'tr', {'id': r'link-\d+'})
    links = [(client.parseDOM(i, 'a', ret='href')[0],
              client.parseDOM(i, 'img', ret='src')[0],
              client.parseDOM(i, 'strong', {'class': 'quality'})[0],
              client.parseDOM(i, 'td')[-3]) for i in links if links]

    for url, domain, quality, info in links:
        if 'easybytez' in url: continue
        if 'adsrv4k' in url: continue
        url = re.sub('http://adf.ly/\w+/', '', url)
        try:
            quality = quality.encode('utf-8')
            info = info.encode('utf-8')
            host = domain.split('=')[-1].encode('utf-8')
            if 'Μεταγλωτισμεν' in info:
                info = 'GREEK'
            elif 'Ελληνικο' in info:
                info = 'SUBS'
            elif 'Χωρ' in info:
                info = 'No SUBS'
            else:
                info = '[N/A]'
            if 'Υψηλ' in quality:
                quality = '720p'
            else:
                quality = 'SD'
        except BaseException:
                pass

        name = name.split('IMDb')[0]
        name2 = '[B][COLOR yellow]{}-{}-{}[/COLOR][/B]'.format(host, quality, info)
        namef = '{}{} {}'.format(name, name2, time)
        w = '***Περίληψη***'
        openn.addDir(namef, url, 200, icon, addon.art, '[B][COLOR green]%s[/COLOR][/B]''\n''%s' % (w, desc))


    if control.setting('windows') == 'true':
        class MyWindow(pyxbmct.AddonDialogWindow):

            def __init__(self, title=''):
                super(MyWindow, self).__init__(title)
                self.setGeometry(700, 500, 5, 2)
                self.set_controls()
                self.connect(pyxbmct.ACTION_NAV_BACK, self.close)

            def set_controls(self):
                image = pyxbmct.Image(icon)
                self.placeControl(image, 0, 0, 4, 1)
                self.textbox = pyxbmct.TextBox()
                self.placeControl(self.textbox, 0, 1, 4, 1)
                self.textbox.setText('[B][COLOR green]%s[/COLOR][/B]''\n''%s' % (w, desc))
                self.textbox.autoScroll(5000, 5000, 5000)
                self.fade_label = pyxbmct.FadeLabel()
                self.placeControl(self.fade_label, 4, 1)
                self.fade_label.addLabel('[B][COLOR yellow]%s[/COLOR][/B]' '\n' '[COLOR yellow]%s[/COLOR]' % (name, time))
                self.close_button = pyxbmct.Button('[B][COLOR white]Κλείσε για παρόχους[/COLOR][/B]''\n''(Return σε Android)')
                self.placeControl(self.close_button, 4, 0)
                self.connect(self.close_button, self.close)

            def setAnimation(self, control):
                control.setAnimations([('WindowOpen', 'effect=fade start=0 end=100 time=500',),
                                       ('WindowClose', 'effect=fade start=100 end=0 time=500',)])

        window = MyWindow('[B][COLOR yellow]%s[/COLOR][/B]' % (name))
        window.doModal()
        del window


def t4k_Search():
    keyb = xbmc.Keyboard('', 'Search')
    keyb.doModal()
    if (keyb.isConfirmed()):
        search = keyb.getText().replace(' ', '+')
        url = 'https://tenies-online.gr?s=' + search
        data = client.request(url)
        posts = client.parseDOM(data, 'div', attrs={'class': 'result-item'})
        for post in posts:
            url = client.parseDOM(post, 'a', ret='href')[0]
            icon = client.parseDOM(post, 'img', ret='src')[0]
            name = client.parseDOM(post, 'img', ret='alt')[0]
            try:
                year = re.findall(r'"year">(\d{4})</span>', post, re.DOTALL)[0]
            except IndexError:
                year = re.findall(r'\((\d{4})\)', name, re.DOTALL)[0]

            if '/' in name:
                name = str(name).split('/')[1].strip()
            name = re.sub('online ελληνικοί υπότιτλοι', '', name, re.I)
            name = name.split(year)[0][:-1].rstrip()
            name = clean.Clean(name)
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % str(name), url, 14, icon, addon.art, '')
    else:
        return


############################################################################################################################################
def new():
    # openn.addDir('[B][COLOR white]' +addon.Lang(32038).encode('utf-8')+ '[/COLOR][/B]','https://gamatotv1.com/tag/2017&sort=mostRecent',26,'http://i.imgur.com/V68jVUi.png',addon.art,'')
    openn.addDir('[B][COLOR white]2020[/COLOR][/B]', 'https://gamatotv1.com/tag/2020', 26,
                 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]2019[/COLOR][/B]', 'https://gamatotv1.com/tag/2019', 26, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]2018[/COLOR][/B]', 'https://gamatotv1.com/tag/2018', 26, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]2017[/COLOR][/B]', 'https://gamatotv1.com/tag/2017', 26, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]2017 ([B][COLOR green]TOP[/COLOR][/B])', 'https://gamatotv1.com/tag/2017', 26, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]2016 ([B][COLOR green]TOP[/COLOR][/B])', 'https://gamatotv1.com/tag/2016', 26, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]2015 ([B][COLOR green]TOP[/COLOR][/B])', 'https://gamatotv1.com/tag/2015', 26, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]2014 ([B][COLOR green]TOP[/COLOR][/B])', 'https://gamatotv1.com/tag/2014', 26, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]2013 ([B][COLOR green]TOP[/COLOR][/B])', 'https://gamatotv1.com/tag/2013', 26, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]2012 ([B][COLOR green]TOP[/COLOR][/B])', 'https://gamatotv1.com/tag/2012', 26, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]2011 ([B][COLOR green]TOP[/COLOR][/B])', 'https://gamatotv1.com/tag/2011', 26, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]2010 ([B][COLOR green]TOP[/COLOR][/B])', 'https://gamatotv1.com/tag/2010', 26, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32039).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%ce%86%ce%b8%ce%bb%ce%b7%ce%bc%ce%b1', 26, 'http://i.imgur.com/f6WzuWx.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32023).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%92%CE%B9%CE%BF%CE%B3%CF%81%CE%B1%CF%86%CE%AF%CE%B1&page=', 26, 'http://i.imgur.com/oISI2XW.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32024).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%93%CE%BF%CF%85%CE%AD%CF%83%CF%84%CE%B5%CF%81%CE%BD&page=', 26, 'http://i.imgur.com/HjAkg1K.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32025).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%94%CF%81%CE%AC%CF%83%CE%B7', 26, 'http://i.imgur.com/0hiqxAv.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32026).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%94%CF%81%CE%AC%CE%BC%CE%B1', 26, 'http://i.imgur.com/0eOMDmx.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32028).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/sci-fi', 26, 'http://i.imgur.com/fdpacDi.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32027).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%88%CE%B3%CE%BA%CE%BB%CE%B7%CE%BC%CE%B1', 26, 'http://i.imgur.com/X7HlC7y.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32029).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%98%CF%81%CE%AF%CE%BB%CE%B5%CF%81', 26, 'http://i.imgur.com/ngYlXLg.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32040).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%99%CF%83%CF%84%CE%BF%CF%81%CE%AF%CE%B1', 26, 'http://i.imgur.com/YxpsMCi.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32030).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%9A%CF%89%CE%BC%CF%89%CE%B4%CE%AF%CE%B1', 26, 'http://i.imgur.com/EdBxqOi.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32031).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%9C%CF%85%CF%83%CF%84%CE%AE%CF%81%CE%B9%CE%BF', 26, 'http://i.imgur.com/kIueNtO.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32032).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%9F%CE%B9%CE%BA%CE%BF%CE%B3%CE%AD%CE%BD%CE%B5%CE%B9%CE%B1', 26, 'http://i.imgur.com/mcZvo7R.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32034).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%A0%CE%B5%CF%81%CE%B9%CF%80%CE%AD%CF%84%CE%B5%CE%B9%CE%B1', 26, 'http://i.imgur.com/4lLOa0L.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32033).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%A0%CF%8C%CE%BB%CE%B5%CE%BC%CE%BF%CF%82', 26, 'http://i.imgur.com/OvpHFdT.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32035).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%A1%CE%BF%CE%BC%CE%AC%CE%BD%CF%84%CE%B6%CE%BF', 26, 'http://i.imgur.com/KtM7LDx.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32036).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%A4%CF%81%CF%8C%CE%BC%CE%BF%CF%85', 26, 'http://i.imgur.com/BLwEyfJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32037).encode('utf-8') + '[/COLOR][/B]', 'https://gamatotv1.com/category/new/%CE%A6%CE%B1%CE%BD%CF%84%CE%B1%CF%83%CE%AF%CE%B1', 26, 'http://i.imgur.com/jTyZIAW.png', addon.art, '')
    openn.addDir('[B][COLOR red]' + addon.Lang(32009).encode('utf-8') + '[/COLOR][/B]', 'http://gamatotv.co/', 97, 'http://www.freeiconspng.com/uploads/search-icon-png-22.png', addon.art, '')
    xbmc.executebuiltin('Container.SetViewMode(50)')

#############################################################################################################################
def katigoria(url):
    p = openn.Open_Url(url)
    posts = client.parseDOM(p, 'div', {'id': r'post-\d+'})
    for post in posts:
        name = client.parseDOM(post, 'a', ret='title')[0]
        name = name.split('/ ')[0]
        name = name.split('&Mu;')[0].split('&Eta;')[0].split('&pi;')[0]
        name = clean.Clean(name).encode('utf-8')

        icon = client.parseDOM(post, 'img', ret='src')[0]
        # icon = icon.split('?')[0]#remove

        url = client.parseDOM(post, 'a', ret='href')[0]

        openn.addDir('[B][COLOR white]{}[/COLOR][/B]'.format(name), url, 27, icon, addon.art, '')
    try:
        m = re.compile(r'class="next page-numbers"\s+href="(.+?)">Next').findall(p)[0]
        m = m.replace('amp;', '')
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]', m, 26, 'http://i.imgur.com/rKSs0yq.png', addon.art, '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass


def susres(url):
    p = openn.Open_Url(url)
    data = client.parseDOM(p, 'div', {"id": "content"})[0]
    try:
        desc = re.compile(r'</script></div>\s+<p>(.+?)</p>', re.DOTALL).findall(str(data))[0]
        desc = desc.replace('&amp;', '').replace('nbsp;', '')
    except IndexError:
        desc = 'N/A'
    icon = client.parseDOM(data, 'img', ret='src')[0]
    name = client.parseDOM(data, 'img', ret='alt')[0]
    name = name.replace('–)', ')').replace('- )', ')').replace('– )', ')').replace('-)', ')')
    name = name.split('/ ')[0].split('&Mu;')[0].split('&Eta;')[0].split('&pi;')[0]
    name = name.split('&')[0]

    try:
        trailer = client.parseDOM(data, 'a', ret='href')
        trailer = [i for i in trailer if 'youtube' in i or 'youtu.be' in i][0]
        openn.addDir('[B][COLOR lime]Trailer[/COLOR][/B]', trailer, 200, icon, '', str(desc))
    except IndexError:
        pass
    try:
        frame = client.parseDOM(data, 'iframe', ret='src')[0]
        frame = client.request(frame)
        from resources.lib.modules import jsunpack
        if jsunpack.detect(frame):
            frame = jsunpack.unpack(frame)
            # xbmc.log('DATATATA: {}'.format(str(frame)))
            #{sources:["https://cloudb.me/4fogdcge4qprgjzd2j6hyo6dphsanhqcmtgewq6xo3ksyr7hgv37vjxkf3kq/v.mp4"
            try:
                sub = re.findall(r'''['"](http.+?)['"]''', frame, re.DOTALL)[0]
            except IndexError:
                sub = False
            frame = re.findall(r'''sources:\[["'](.+?)["']''', frame, re.DOTALL)[0]
            frame += client.spoofer(_agent=True, referer=True, ref_str=url)
            if sub is not False:
                frame += '@{}'.format(sub)
            fname = '[B][COLOR white]{}[/COLOR][/B] [B][COLOR green]|[/COLOR][/B]DIRECT'.format(name)
            openn.addDir(fname, frame, 200, icon, '', str(desc))

    except IndexError:
        frame = re.findall(r'''file:['"](.+?\.mp4)["']''', data, re.DOTALL)[0]
        frame += client.spoofer(_agent=True, referer=True, ref_str=url)
        fname = '[B][COLOR white]{}[/COLOR][/B] [B][COLOR green]|[/COLOR][/B]DIRECT'.format(name)
        openn.addDir(fname, frame, 200, icon, '', str(desc))

    extra = []
    extra += client.parseDOM(data, 'a', ret='href', attrs={"target": "_blank"})
    extra += client.parseDOM(data, 'a', ret='href', attrs={'rel': 'noopener noreferrer'})
    # xbmc.log('EXTRA: {}'.format(str(extra)))
    for link in set(extra):
        if any(x in link for x in providers):
            host = link.split('//')[1].replace('www.', '')
            host = host.split('/')[0].split('.')[0].title()
            host = ' [B][COLOR green]|[/COLOR][/B]' + host
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]' '%s' % (name, host), link, 200, icon, '', str(desc))


def Search2():
    keyb = xbmc.Keyboard('', 'Search')
    keyb.doModal()
    if (keyb.isConfirmed()):
        search = keyb.getText()
        url = 'https://gamatotv3.com/?s={}&submit=%E2%96%B6%EF%B8%8E'.format(urllib.quote_plus(search))
        katigoria(url)
    else:
        return


######################################################################################################################################################################################################################################
def Movie_menu4():
    openn.addDir('[B][COLOR white]Βιογραφία[/COLOR][/B]', 'https://xrysoi.net/category/%CF%86%CE%B9%CE%BB%CE%BC%CE%BF%CE%B3%CF%81%CE%B1%CF%86%CE%AF%CE%B5%CF%82/', 313, 'http://i.imgur.com/oISI2XW.png', addon.art, '')
    openn.addDir('[B][COLOR white]Γουέστερν[/COLOR][/B]', 'https://xrysoi.net/category/western/', 313, 'http://i.imgur.com/HjAkg1K.png', addon.art, '')
    openn.addDir('[B][COLOR white]Δράμα[/COLOR][/B]', 'https://xrysoi.net/category/%CE%B4%CF%81%CE%AC%CE%BC%CE%B1/', 313, 'http://i.imgur.com/0eOMDmx.png', addon.art, '')
    openn.addDir('[B][COLOR white]Έγκλημα[/COLOR][/B]', 'https://xrysoi.net/category/%CE%AD%CE%B3%CE%BA%CE%BB%CE%B7%CE%BC%CE%B1/', 313, 'http://i.imgur.com/X7HlC7y.png', addon.art, '')
    openn.addDir('[B][COLOR white]Επ. Φαντασίας[/COLOR][/B]', 'https://xrysoi.net/category/%CE%B5%CF%80-%CF%86%CE%B1%CE%BD%CF%84%CE%B1%CF%83%CE%AF%CE%B1%CF%82/', 313, 'http://i.imgur.com/fdpacDi.png', addon.art, '')
    openn.addDir('[B][COLOR white]Θρίλερ[/COLOR][/B]', 'https://xrysoi.net/category/%CE%B8%CF%81%CE%AF%CE%BB%CE%B5%CF%81/', 313, 'http://i.imgur.com/ngYlXLg.png', addon.art, '')
    openn.addDir('[B][COLOR white]Κωμωδία[/COLOR][/B]', 'https://xrysoi.net/category/%CE%BA%CF%89%CE%BC%CF%89%CE%B4%CE%AF%CE%B5%CF%82/', 313, 'http://i.imgur.com/EdBxqOi.png', addon.art, '')
    openn.addDir('[B][COLOR white]Μυστηρίου[/COLOR][/B]', 'https://xrysoi.net/category/%CE%BC%CF%85%CF%83%CF%84%CE%AE%CF%81%CE%B9%CE%BF/', 313, 'http://i.imgur.com/kIueNtO.png', addon.art, '')
    # openn.addDir('[B][COLOR white]Collection[/COLOR][/B]','/collection/',313,'special://home/addons/resources/art/siloges.png',addon.art,'')
    openn.addDir('[B][COLOR white]Πολεμική[/COLOR][/B]', 'https://xrysoi.net/category/%CF%80%CE%BF%CE%BB%CE%AD%CE%BC%CE%BF%CF%85/', 313, 'http://i.imgur.com/OvpHFdT.png', addon.art, '')
    openn.addDir('[B][COLOR white]Περιπέτεια[/COLOR][/B]', 'https://xrysoi.net/category/%CE%B4%CF%81%CE%AC%CF%83%CE%B7%CF%82/', 313, 'http://i.imgur.com/4lLOa0L.png', addon.art, '')
    openn.addDir('[B][COLOR white]Ρομαντική[/COLOR][/B]', 'https://xrysoi.net/category/%CF%81%CE%BF%CE%BC%CE%B1%CE%BD%CF%84%CE%B9%CE%BA%CE%AD%CF%82/', 313, 'http://i.imgur.com/KtM7LDx.png', addon.art, '')
    openn.addDir('[B][COLOR white]Τρόμου[/COLOR][/B]', 'https://xrysoi.net/category/%CF%84%CF%81%CF%8C%CE%BC%CE%BF%CF%85/', 313, 'http://i.imgur.com/BLwEyfJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]Φαντασίας[/COLOR][/B]', 'https://xrysoi.net/category/%CF%86%CE%B1%CE%BD%CF%84%CE%B1%CF%83%CE%AF%CE%B1%CF%82/', 313, 'http://i.imgur.com/jTyZIAW.png', addon.art, '')


def xrysoimovies(url):
    p = openn.Open_Url(url)
    try:
        m = re.compile('<div class=moviefilm>.+?<a href=(.+?)>.+?<img src=(.+?) alt="(.+?)".+?title=',
                       re.DOTALL).findall(p)
    except IndexError:
        m = re.compile('<div class="moviefilm">.+?<a href="(.+?)">.+?<img src="(.+?)" alt="(.+?)".+?title=',
                       re.DOTALL).findall(p)
    for url, icon, name in m:
        name = name.split('&#038;')[0].split('&#8217;')[0].split('&#8211;')[0]
        icon = icon.replace('-119x125', '')
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 314, icon, addon.art, '')
    try:
        m = re.compile('class=nextpostslink rel=next href=(.+?)>»</a>').findall(p)[0]
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]', m, 313, 'http://i.imgur.com/rKSs0yq.png', addon.art, '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass
    setView.setView('movies', 'movie-view')


def get_xrysoimovies(url):
    p = client.request(url)
    m = re.compile('href=(.+?)\s+').findall(p)
    link_list = ['openload', 'vidto', 'flashx', 'streamango', 'streamin', 'hdvid', 'vidd',
                 'vidoza', 'vidlox', 'estream', 'streamcloud', 'streamin', 'clipwatching', 'thevideo', 'vidzi']
    for url in m:
        if any(x in url for x in link_list):
            name = url
            name = name.split('.')[0]
            name = name.replace('http://', 'Πάροχος...')
            name = name.replace('https://', 'Πάροχος...')
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 200, addon.icon, addon.art, '')
    else:
        m2 = re.compile('<iframe.+?src=(.+?)\s+').findall(p)
        for url in m2:
            if 'youtube' in url:
                Trailer = 'Τρέιλερ '
                openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % Trailer, url, 200, addon.icon, addon.art, '')


def Search8():
    keyb = xbmc.Keyboard('', 'Search')
    keyb.doModal()
    if (keyb.isConfirmed()):
        search = keyb.getText().replace(' ', '+')
        url = 'https://xrysoi.net/?s=' + search
        xrysoimovies(url)


###############################################################################################################################################
def Movie_menu3():
    openn.addDir('[B][COLOR white]Βιογραφία[/COLOR][/B]', 'https://oipeirates.tv/genre/filmography', 44, 'http://i.imgur.com/oISI2XW.png', addon.art, '')
    openn.addDir('[B][COLOR white]Γουέστερν[/COLOR][/B]', 'https://oipeirates.tv/genre/western', 44, 'http://i.imgur.com/HjAkg1K.png', addon.art, '')
    openn.addDir('[B][COLOR white]Δράση[/COLOR][/B]', 'https://oipeirates.tv/genre/drasis', 44, 'http://i.imgur.com/0hiqxAv.png', addon.art, '')
    openn.addDir('[B][COLOR white]Δράμα[/COLOR][/B]', 'https://oipeirates.tv/genre/drama', 44, 'http://i.imgur.com/0eOMDmx.png', addon.art, '')
    openn.addDir('[B][COLOR white]Έγκλημα[/COLOR][/B]', 'https://oipeirates.tv/genre/egklima', 44, 'http://i.imgur.com/X7HlC7y.png', addon.art, '')
    openn.addDir('[B][COLOR white]Επ. Φαντασίας[/COLOR][/B]', 'https://oipeirates.tv/genre/ep-fantasias', 44, 'http://i.imgur.com/fdpacDi.png', addon.art, '')
    openn.addDir('[B][COLOR white]Θρίλερ[/COLOR][/B]', 'https://oipeirates.tv/genre/thriller', 44, 'http://i.imgur.com/ngYlXLg.png', addon.art, '')
    openn.addDir('[B][COLOR white]Κωμωδία[/COLOR][/B]', 'https://oipeirates.tv/genre/komodies', 44, 'http://i.imgur.com/EdBxqOi.png', addon.art, '')
    openn.addDir('[B][COLOR white]Μυστηρίου[/COLOR][/B]', 'https://oipeirates.tv/genre/mystery', 44, 'http://i.imgur.com/kIueNtO.png', addon.art, '')
    # openn.addDir('[B][COLOR white]Οικογενειακή[/COLOR][/B]','https://oipeirates.tv/genre/category/oikogeneiaki/',9,'http://i.imgur.com/mcZvo7R.png',addon.art,'')
    openn.addDir('[B][COLOR white]Πολεμική[/COLOR][/B]', 'https://oipeirates.tv/genre/war', 44, 'http://i.imgur.com/OvpHFdT.png', addon.art, '')
    openn.addDir('[B][COLOR white]Περιπέτεια[/COLOR][/B]', 'https://oipeirates.tv/genre/drasis', 44, 'http://i.imgur.com/4lLOa0L.png', addon.art, '')
    openn.addDir('[B][COLOR white]Ρομαντική[/COLOR][/B]', 'https://oipeirates.tv/genre/romantikes', 44, 'http://i.imgur.com/KtM7LDx.png', addon.art, '')
    openn.addDir('[B][COLOR white]Τρόμου[/COLOR][/B]', 'https://oipeirates.tv/genre/tromou', 44, 'http://i.imgur.com/BLwEyfJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]Φαντασίας[/COLOR][/B]', 'https://oipeirates.tv/genre/fantasias', 44, 'http://i.imgur.com/jTyZIAW.png', addon.art, '')


def peiratesS(url): #44
    p = client.request(url)
    xbmc.log('@#@HTML-pei:%s' % p, xbmc.LOGNOTICE)
    m = re.compile('class=moviefilm1.+?href=(.+?)>.+?src=(.+?.jpg).+?alt="(.+?)"', re.DOTALL).findall(p)
    for link, icon, name in m:
        name = name.split('&#038;')[0]
        name = name.split('&#8217;')[0]
        name = name.split('&#8211;')[0]
        icon = icon.replace('-119x125', '')
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, link, 43, icon, addon.art, '')
    # try:
        #https://oipeirates.tv/wp-content/uploads/alm-cache/cache-viral/page-2.html
    if not '/page/' in url:
        page = 2
        m = '%s/page/%s' % (url, page)
    else:
        page = url.split('/')[-1]
        page = int(page) + 1
        m = url.split('page/')[0] + 'page/%s' % page
    xbmc.log('@#@NP:%s' % m, xbmc.LOGNOTICE)
    openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]', m, 44, 'http://i.imgur.com/rKSs0yq.png', addon.art, '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    # except:
    #     pass
    setView.setView('movies', 'movie-view')


def get_peiratesS(url):
    hosts = ['openload', 'vidto', 'flashx', 'streamango', 'streamin', 'hdvid', 'vidd', 'vidoza',
             'vidlox', 'estream', 'streamcloud', 'streamin', 'clipwatching', 'thevideo', 'vidzi']
    p = openn.Open_Url(url)
    m = re.compile('href=(.+?)\s+').findall(p)
    for url in m:
        if any(x in url for x in hosts):
            name = url
            name = name.split('.')[0]
            name = name.replace('http://', 'Πάροχος...')
            name = name.replace('https://', 'Πάροχος...')
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 200, addon.icon, addon.art, '')
    try:
        m2 = re.compile('<iframe.+?src=(.+?)\s+').findall(p)
        for url in m2:
            if 'youtube' in url:
                Trailer = 'Τρέιλερ '
                openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % Trailer, url, 200, addon.icon, addon.art, '')
    except:
        pass


def Search7():
    keyb = xbmc.Keyboard('', 'Search')
    keyb.doModal()
    if (keyb.isConfirmed()):
        search = keyb.getText().replace(' ', '+')
        url = 'https://oipeirates.tv/?s=' + search
        get_peiratesS(url)


#########################################################################################################################################################################
def Movie_menu2(url):
    openn.addDir('[B][COLOR white]2018[/COLOR][/B]', 'http://www.tainieskaiseires.tv/?s=(2018)', 2001, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]2017[/COLOR][/B]', 'http://www.tainieskaiseires.tv/?s=(2017)', 2001, 'https://i.imgur.com/Mveo2KC.png', addon.art, '')
    openn.addDir('[B][COLOR white]Γουέστερν[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/western/', 2003, 'http://i.imgur.com/HjAkg1K.png', addon.art, '')
    openn.addDir('[B][COLOR white]Δράμα[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/drama/', 2003, 'http://i.imgur.com/0eOMDmx.png', addon.art, '')
    openn.addDir('[B][COLOR white]Δράση[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/action/', 2003, 'http://i.imgur.com/0hiqxAv.png', addon.art, '')
    openn.addDir('[B][COLOR white]Έγκλημα[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/crime/', 2003, 'http://i.imgur.com/X7HlC7y.png', addon.art, '')
    openn.addDir('[B][COLOR white]Επ. Φαντασίας[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/sci-fi/', 2003, 'http://i.imgur.com/fdpacDi.png', addon.art, '')
    openn.addDir('[B][COLOR white]Θρίλερ[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/thriller/', 2003, 'http://i.imgur.com/ngYlXLg.png', addon.art, '')
    openn.addDir('[B][COLOR white]Κωμωδία[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/comedy/', 2003, 'http://i.imgur.com/EdBxqOi.png', addon.art, '')
    openn.addDir('[B][COLOR white]Μυστηρίου[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/mystery/', 2003, 'http://i.imgur.com/kIueNtO.png', addon.art, '')
    openn.addDir('[B][COLOR white]Οικογενειακή[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/family/', 2003, 'http://i.imgur.com/mcZvo7R.png', addon.art, '')
    openn.addDir('[B][COLOR white]Περιπέτεια[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/adventure/', 2003, 'http://i.imgur.com/4lLOa0L.png', addon.art, '')
    openn.addDir('[B][COLOR white]Πολεμική[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/war/', 2003, 'http://i.imgur.com/OvpHFdT.png', addon.art, '')
    openn.addDir('[B][COLOR white]Ρομαντική[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/romance/', 2003, 'http://i.imgur.com/KtM7LDx.png', addon.art, '')
    openn.addDir('[B][COLOR white]Τρόμου[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/horror/', 2003, 'http://i.imgur.com/BLwEyfJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]Φαντασίας[/COLOR][/B]', 'http://www.tainieskaiseires.tv/category/fiction/', 2003, 'http://i.imgur.com/jTyZIAW.png', addon.art, '')
    # openn.addDir('[B][COLOR white]test[/COLOR][/B]','http://www.tainieskaiseires.tv/category/metag/',2003,'http://i.imgur.com/jTyZIAW.png',addon.art,'')


def taniesKseires(url):
    r = client.request(url)  # 2001
    data = client.parseDOM(r, 'div', attrs={'id': 'post-\d+'})

    for i in data:
        h3 = client.parseDOM(i, 'h3')
        url = client.parseDOM(h3, 'a', ret='href')[0]
        name = client.parseDOM(h3, 'a', ret='title')[0].encode('utf-8')
        name = name.capitalize()
        # name = name.split(')')[0].replace('(','|')
        # name = name + '|'
        name = clean.Clean(name)
        icon = client.parseDOM(i, 'img', ret='src')[0].encode('utf-8')
        icon = icon.replace('-365x235', '')
        des = client.parseDOM(i, 'div', attrs={'class': 'blog-excerpt'})[0]
        desc = client.parseDOM(des, 'p')[0].encode('utf-8')
        desc = desc.split('[')[0]
        desc = clean.Clean(desc)
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 2002, icon, addon.art, desc)
    try:
        m = re.compile('class="nextpostslink" rel="next" href="(.+?)">»</a>').findall(r)[0]
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]'
                     , m, 2001, 'http://i.imgur.com/rKSs0yq.png', addon.art, '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass


def taniesKseires2(url):
    r = client.request(url)  # 2003
    data = client.parseDOM(r, 'div', attrs={'id': 'post-\d+'})

    for i in data:
        url = client.parseDOM(i, 'a', ret='href')[0]
        name = client.parseDOM(i, 'a', ret='title')[0].capitalize().encode('utf-8')
        name = clean.Clean(name)
        icon = client.parseDOM(i, 'img', ret='src')[0].encode('utf-8')
        icon = icon.replace('-365x235', '')
        desc = client.parseDOM(i, 'div', attrs={'class': 'gv-ex'})[0].encode('utf-8')
        desc = desc.split('[')[0].encode('utf-8')
        desc = clean.Clean(desc)
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 2002, icon, addon.art, desc)
    try:
        m = re.compile('class="nextpostslink" rel="next" href="(.+?)">»</a>').findall(r)[0]
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]'
                     , m, 2003, 'http://i.imgur.com/rKSs0yq.png', addon.art, '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass


def k(url):
    r = openn.Open_Url(url)
    try:
        soup = BeautifulSoup(r, "html.parser")
        for items in soup.findAll(id="content"):
            for u in items.findAll(class_="multilink-btn btn btn-sm btn-default bordercolor2hover bgcolor2hover "):
                name2 = u.text.encode('utf-8')
                name2 = '[B][COLOR green]|[/COLOR][/B]' + name2
                url = u['href']
                for n in items.findAll('h1'):
                    name = n.text.encode('utf-8')
                    name = clean.Clean(name)
                for i in items.findAll(class_="alignnone size-medium wp-post-image"):
                    icon = i['src'].encode('utf-8')
                    icon = icon.replace('-365x235', '')
                    openn.addDir('[B][COLOR white]%s[/COLOR][/B]''%s' % (name, name2), url, 300, icon, addon.art, '')
    except:
        #r = openn.Open_Url(url)
        m = re.compile('<h1 class="light-title entry-title">(.+?)</h1>.+?<h3>.+?img.+?src="(.+?)".+?/>', re.DOTALL).findall(r)
        for name, icon in m:
            icon = icon.encode('utf-8')
            name = clean.Clean(name)
        m2 = re.compile('<a href="(.+?)".+?>(.+?)</a>').findall(r)
        for url, host in m2:
            if 'vidto' in url or 'estream' in url or 'vidoza' in url or 'openload' in url:
                host = host.replace('<strong>', '')
                host = host.strip()
                host = '[B][COLOR green]|[/COLOR][/B]' + host
                openn.addDir('[B][COLOR white]%s[/COLOR][/B] %s' % (name, host), url, 200, icon, addon.art, '')


def Search8():
    keyb = xbmc.Keyboard('', 'Search')
    keyb.doModal()
    if (keyb.isConfirmed()):
        search = keyb.getText().replace(' ', '+')
        url = 'http://www.tainieskaiseires.tv/?s=' + search
        taniesKseires(url)
